<template>

<div id="map"
    class="
    h-full
    w-full
    lg:rounded-xl
" />

</template>

<script lang='ts'>

import {
    defineComponent,
    onMounted,
    ref,
} from '@vue/composition-api';

import { Project } from '@/ts/project';
import { styles } from '@/ts/data/enums';

export default defineComponent({
    setup(props, context) {
        const { $store } = context.root;
        const project: Project = $store.state.project;

        onMounted(() => {
            if (window.matchMedia('(prefers-color-scheme: dark)').matches) {
                project.init(styles.dark);
                project._mapview._style = 'dark';
            } else {
                project.init(styles.streets);
                project._mapview._style = 'streets';
            }
        });
    },
});

</script>

<style>

.mapboxgl-ctrl-group:not(:empty) {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.mapboxgl-ctrl-top-left .mapboxgl-ctrl {
    margin: 16px 0 0 16px !important;
}

.mapboxgl-ctrl-group > button {
    width: 36px !important;
    height: 36px !important;
}

.mapboxgl-ctrl-group > button + button {
    border-top: none !important;
}

.mapboxgl-ctrl-logo {
    display: none !important;
}

.mapboxgl-ctrl.mapboxgl-ctrl-attrib {
    display: none !important;
}

.mapboxgl-popup-close-button {
    display: none;
}

.mapboxgl-popup-content {
    color: black;
}

</style>
